Нужна помощь в установке драйверов 8600gt!

Изображение пользователя kubuser.

Сразу оговорюсь что это мой первый опыт в линуксе, поэтому сильно прошу рассказывать как можно подробней. Имеется видюха 8600gt, скачал драйвер с оффсайта "NVIDIA-Linux-x86-180.22-pkg1.run", скачал также настройку для файла xorg.conf "nvidia-xconfig-1.0.tar.gz". Расскажите пожалуйста последовательность действий.

0
Ockonal - 3 Февраль, 2009 - 08:33
Изображение пользователя Ockonal.

Во-первых, для установки дров вам нужно перейти в режим консоли:
Ctrl + Shift + F1, кажется, но перед этим тебе нужно установить пакеты для компиляции драйвера под ядро:

sudo apt-get install linux-headers-`uname -r` build-essential gcc gcc-3.4 xserver-xorg-dev sudo apt-get –purge remove nvidia-glx nvidia-settings nvidia-kernel-common linux-restricted-modules*

Там вы останавливаете kdm:
sudo /etc/initt.d/kdm stop

Теперь можете устанавливать дрова:
sudo sh /Path/To/Driver/NVIDIA-Linux-x86-180.22-pkg1.run

Когда инсталлер попросит скачать с оффсайта, отказывайся, тогда начнется билд.

0
Ockonal - 3 Февраль, 2009 - 08:34
Изображение пользователя Ockonal.

Ах да, чтобы назад вернуться на граф.оболочку:
sudo /etc/init.d/kdm start
Чтобы настроить видеокарту, нужно запустить утилиту:
sudo nvidia-xconfig

+1
Mike - 3 Февраль, 2009 - 08:36
Изображение пользователя Mike.

а чем не устроили те дрова, которые предлагает скачать менеджер устройств?

+1
Bazilio - 3 Февраль, 2009 - 08:46
Изображение пользователя Bazilio.

Уважаемые пользователи Бубунто подобных систем!
Никогда не ставьте драйвера для nvidia скачанные с их сайта. Это породит множество глюков и неудач.
Пожалуйста, воспользуйтесь менеджером устройств (jockey-kde) который поставляется с дистрибутивом. С его помощью вы установите драйвер для своей карточки всего одним кликом мыши.
По умолчанию там предлагаются драйвера 177.x и 173.x. Также можно доставить пакет с драйвером 180.x и менеджер драйверов о нём узнает и сможет правильно его активировать. Используйте поиск пакетов по ключевому слову "nvidia".

0
DeathMoroz - 3 Февраль, 2009 - 13:10

а почему под дефолту 180 не стаятся?

0
Bazilio - 3 Февраль, 2009 - 14:37
Изображение пользователя Bazilio.

А вот этого не знаю. Думаю в 9.04 уже они будут.
Вообще это мутки разработчиков дистриба.

0
DeathMoroz - 4 Февраль, 2009 - 13:29

Черт поставил 180, активировал через менеджер, в итоге при скроле окон начинают лезть артефакты и иксы зависают. буду сидеть на nv до 9.04

+1
sawa - 3 Февраль, 2009 - 21:46
Изображение пользователя sawa.

До сих пор "глюки и неудачи" порождали дрова из репозитариев. А скачанные с сайта производителя отлично работают.
Перед скачиванием драйверов главное определиться какая серия (71.86.xx, 96.43.xx или 173.14.xx) подходит к видеокарте и скачать нужный драйвер с Unix Drivers Portal Page. Затем следовать первому совету.

Уважаемый Basilio! Никогда так громко не давайте сомнительные советы.

0
Bazilio - 4 Февраль, 2009 - 18:17
Изображение пользователя Bazilio.

А скачанные с сайта производителя отлично работают.
Ядро обновлял? Или нашёл твик, который вместе с обновлением ядра и модуль nvidia обновляет?

0
sawa - 5 Февраль, 2009 - 22:14
Изображение пользователя sawa.

Руки не отвалятся зайти в консоль (Ctrl+Alt+F1), если после обновления ядра КДЕ не грузится и выполнить команду
sudo sh /Path/To/Driver/NVIDIA-Linux-вписать-свое.run

0
Bazilio - 6 Февраль, 2009 - 14:12
Изображение пользователя Bazilio.

у тебя или у меня не отвалятся.
А новички побегут на форум плодить темы.

0
DeathMoroz - 4 Февраль, 2009 - 05:47

поставил пакет 180.x что-то не видит его менеджер драйверов

0
kubuser - 3 Февраль, 2009 - 15:01
Изображение пользователя kubuser.

Спасибо, я немного разобрался, через менеджер ставил и 173 и 177, но проблема осталась, с периодичностью секунд в пять экран монитора моргает черной полосой, это едва заметно, но доставляет неудобства. Также проявляются глюки при появлении меню, окон и т.д.
Узнал о таком файле как xorg.conf, открыл, но там, ничего не настроено. Скажите, когда я устанавлмиваю через менеджер драйвер на видюху, должен ли менеджер или сам драйвер править xorg.conf?? Если нет, то не могли бы Вы мне написать как должен выглядеть этот файл, что бы нормально работал монитор и видеокарта. Рабочий режим монитора 1024на768при85Гц.
Прошу прощения если что-то некорректно обозвал или описал.

0
Bazilio - 3 Февраль, 2009 - 15:18
Изображение пользователя Bazilio.

ну тут всё просто. вообще новичку в кубунте с видяхой как у тебя не надо лезть в xorg.conf. но можно туда слазить для того, чтобы kdm по привлекательней был. Вот мой файл (у меня в ноуте 8600M GT, правда разрешение 1680x1050):

Section "Monitor"
Identifier "Configured Monitor"
EndSection

Section "Screen"
Identifier "Default Screen"
Monitor "Configured Monitor"
Device "Configured Video Device"
DefaultDepth 24
Option "UseEdidDpi" "FALSE"
Option "DPI" "96x96"
Option "metamodes" "1680x1050_75 +0+0"
EndSection

Section "Module"
Load "glx"
EndSection

Section "Device"
Identifier "Configured Video Device"
Driver "nvidia"
Option "NoLogo" "True"
EndSection

строчки
Option "UseEdidDpi" "FALSE"
Option "DPI" "96x96"
Option "metamodes" "1680x1050_75 +0+0"

я добавил сам.
Но вообще и без них работает. Единственное: в настройках системы -> внешний вид -> шрифты надо поставить "использовать другой DPI" равным 96

0
Ockonal - 3 Февраль, 2009 - 15:28
Изображение пользователя Ockonal.

Угу... без глюков с 2д-ускорением работают только с оффсайта... самые свежие.

0
Bazilio - 3 Февраль, 2009 - 15:41
Изображение пользователя Bazilio.

у меня нет глюков с 2д ускорением на дровах 180.11
на 177.x были.

-1
Ockonal - 3 Февраль, 2009 - 16:33
Изображение пользователя Ockonal.

А я о чем говорю? 180.* можно взять пока только с оффсайта.

0
Mike - 3 Февраль, 2009 - 17:09
Изображение пользователя Mike.

Но согласись, не для новичка подобные танцы с бубном.

0
Bazilio - 3 Февраль, 2009 - 18:05
Изображение пользователя Bazilio.

в репозитории есть

0
kubuser - 3 Февраль, 2009 - 19:26
Изображение пользователя kubuser.

Подскажите, как откатить драйвер видеокарты и все настройки ему опутствующие из коммандной строки, потому как графическая оболочка не грузится? Режим recovery помогает но только на один раз, после ребута опять не грузится оболочка.
Ставлю драйвера через адэпт хоть 173, хоть 177 - все равно экран мигает и глюки в меню и окнах, даже без граф. оболочки экран моргает.
Еще вопрос, как можно вернуться к самому началу(по поводу комплектации системы), когда только установил с ЛайвСД?

0
Ockonal - 3 Февраль, 2009 - 19:34
Изображение пользователя Ockonal.

Блин, за что минусовать-то? За то, что хочу помочь?
В посте четко написано:
Имеется видюха 8600gt, скачал драйвер с оффсайта "NVIDIA-Linux-x86-180.22-pkg1.run", скачал также настройку для файла xorg.conf "nvidia-xconfig-1.0.tar.gz". Расскажите пожалуйста последовательность действий.
Просили помочь у установкой пакета... Я рассказал...

0
kubuser - 3 Февраль, 2009 - 19:39
Изображение пользователя kubuser.

Минусовал не я.

0
Wanderer - 3 Февраль, 2009 - 20:04
Изображение пользователя Wanderer.

через командную строку
sudo nano /etc/X11/xorg.conf
вручную редактируешь файл, заменяешь строчку Driver "nvidia" на Driver "nv", таким образом заменяешь проприетарный драйвер на открытый, с ним у тебя должно запустится все нормально
выход из редактора Ctrl+X, спросит сохранить - да, перезапускаешь иксы, можно
sudo /etc/init.d/kdm start
а можно просто
startx

по поводу драйвера, есть еще одна фишка, о которую мона споткнуться, если вручную устанавливать, у меня как раз было
find /lib/modules/`uname -r`/ -iname \*nvidia.ko\*
узнаешь сколько модулей в директории ядра, должен быть один, если
/lib/modules/'номер ядра'-generic/kernel/drivers/video/nvidia.ko, это правильно
если еще добавляется
/lib/modules/'номер ядра'-generic/volatile/nvidia.ko
то это драйвер из пакета linux-restricted-modules, его там быть не должно, поэтому отключаем его - в файле
/etc/default/linux-restricted-modules-common
есть строка DISABLED_MODULES="" (у меня в кавычках было пусто), добавляем туда через пробел nv nvidia_new чтобы получилось DISABLED_MODULES="nv nvidia_new" и перезагружаем систему, естественно заменив снова в xorg.conf nv на nvidia

0
kubuser - 3 Февраль, 2009 - 20:20
Изображение пользователя kubuser.

find /lib/modules/`uname -r`/ -iname \*nvidia.ko\*

ничего не происходит когда ввожу эту комманду

0
Wanderer - 3 Февраль, 2009 - 20:55
Изображение пользователя Wanderer.

тогда хз, у меня и на 8.04 и на 8.10 выдает:

[email protected]:~$ find /lib/modules/`uname -r`/ -iname \*nvidia.ko\*
/lib/modules/2.6.24-23-generic/kernel/drivers/video/nvidia.ko

попробуй тогда еще раз переустановить
а вообще процесс установки дров описан здесь http://forum.ubuntu.ru/index.php?topic=3031.0, хотя довольно запутанно, но зато почти все подводные камни описаны

0
Wanderer - 3 Февраль, 2009 - 20:02
Изображение пользователя Wanderer.

по поводу установки через менеджер - даю конкретную ситуацию, новая карта 9500GT, недавно выпущенная, дрова через менеджер установились на ура, вот только видеокарта неопознана, иду на оф сайт, так и есть, она в списке только последней версии дров 177.82 на тот момент, а в репозитории только 173 тогда было, вот и стал вручную ставить, три дня бился, разобрался, 3d работает на ура, а на 2d жуткие тормоза на отрисовке, еще неделю ответ искал, нашел, так что у меня свой опыт, я вручную теперь предпочитаю ставить. Вот что толковой инструкции до сих пор нет, это факт

0
sawa - 4 Февраль, 2009 - 09:53
Изображение пользователя sawa.

Вот что толковой инструкции до сих пор нет, это факт
Не факт: Уcтановка драйверов nVidia

В одном месте инструкция немного запутанная: Итак модуль должен быть только один! поэтому нужно отклучить модуль из пакета linux-restricted-modules
делается это изменением файла
/etc/default/linux-restricted-modules-common
там нужно исправить строчку на вот такую
DISABLED_MODULES="nvidia nvidia_legacy nvidia_new"
DISABLED_MODULES="nv nvidia_new"

Это нужно понимать так, если в файле /etc/default/linux-restricted-modules-common
есть строка: DISABLED_MODULES="nvidia nvidia_legacy nvidia_new" её нужно заменить на DISABLED_MODULES="nv nvidia_new"

0
kubuser - 3 Февраль, 2009 - 22:57
Изображение пользователя kubuser.

Всем спасибо за помощь! проблема решилась переустановкой кубунты, поставил через jockey-kde 177.82 версию, все встало без проблем, полет нормальный (пока что).
Переставил систему из-за того, что не знал как вычистить ее от свох неумелых действий.
Сама проблема возникла, как я думаю, из-за того что драйвер на видеокарту я сначала поставил в адепте, потом пытался ставить его через jockey-kde, потом немножко поправил xorg.conf))
Будем дальше осваивать кубунту, в винду уже точно не вернусь, оставлю только на экстренный случай выхода в инет, если сильно напорю в кубе))

0
DeathMoroz - 6 Февраль, 2009 - 15:09

Мочи её :) ведь есть LiveCD

0
JustGAST - 8 Февраль, 2009 - 12:18
Изображение пользователя JustGAST.

Добрый день.
У меня следующая проблема:
Устанавливал дрова по мануалу Вот по этому
Устанавливал его успешно на убунтах 7.10, 8.04, 8.10, но вот решил перелезть на Кубунту. А т.к. люблю все экстремально новое, то установил сразу Кубунту 9.04 альфа4, КДЕ 4.2 очень и очень понравился.
Но вот решил я установить дрова с сайта НВИДИА, т.к. в КДЕ новичок и даже не знаю где тот менеджер проприетарных драйверов. Устанавливал все как обычно, но вот незадача. Иксы не стартуют...
В чем моет быть проблема? Какие логи предоставить?

П.С. Видеокарта точно такая же как у топикстартера.

0
JustGAST - 8 Февраль, 2009 - 22:29
Изображение пользователя JustGAST.

Все, ребята, можете не отвечать. Разочаровался я в Кубунте =(
А все почему - поставил обновление, он все скачал, начал устанавливать, и вылезло несколько ошибок, после которых Адепт вышел и больше в себя не заходил. После перезагрузки стало еще хуже. Рамки окон пропали, пароли для входа в приложения не набирались, и вся система в общем обрушилась. Вот такая история.
Собсна надоело переустанавливать систему из-за ее проблем. Из-за проблем с драйверами, из-за проблем опять же с обновлениями. Я понимаю если бы я чего-нибудь накрутил, и она бы рухнула - это да, это я виноват, но упасть от своего же обновления это что то.
Придется теперь сидеть на винде до следующего подъема энтузиазма, в порыве которого я в очередной раз попробую начать изучать Линукс.

П.С. Ну или может быть какой-нибудь знающий человек отпишет здесь (или стукнет в аську 415-104-556), что готов помочь, и поможет. И тогда в мире станет на 1го больше счастливого линуксоида, а я в свою очередь, будьте уверены, потяну с десяток людей в объятья Open Source.

0
Bazilio - 9 Февраль, 2009 - 14:43
Изображение пользователя Bazilio.

Вот я так-же уже 2 недели пытаюсь с кубунту на Arch линукс перейти. то одно не работает, то для другого надо конфиги руками править. а в кубунте всё работает без проблем, всё красиво, шустро, настроено под меня.

+1
balamutick - 8 Февраль, 2009 - 23:48
Изображение пользователя balamutick.

Ничего, каноникал усердно работает каждый день.

Глядишь в следующей версии они будут ближе к коробочному дистру, устанавливаемому из коробки любой бабушкой.

0
JustGAST - 9 Февраль, 2009 - 09:37
Изображение пользователя JustGAST.

Хмм, ну что же, я согласен пока на звание "бабушки" в области линуха =) Но тем не менее, я даже не знаю как исправить систему после ее обновления... А если исправлять систему после ее же обновления, то какой в ней толк?

0
picaro - 9 Февраль, 2009 - 12:06
Изображение пользователя picaro.

Даже в винде обновления - это шаг в неизвестность. А ты хочешь на альфе, да ещё и из adept-а. Надо обновляться в консольке и усердно постить баги на багзилу раз уж поставил тестируемый дистриб.

0
JustGAST - 9 Февраль, 2009 - 13:45
Изображение пользователя JustGAST.

Picaro, а какими командами в консоли обновляться? Есть маны? В принципе считаю что довольно неплохо продвинулся в изучении консоли от уровня нуля =)

И еще. Поставил я уже не альфу а просто Кубунту 8.10

0
picaro - 9 Февраль, 2009 - 14:48
Изображение пользователя picaro.

Обновление:
sudo aptitude update
sudo aptitude safe-upgrade

Маны:
man aptitude
man apt-get

APT HOWTO

0
balamutick - 9 Февраль, 2009 - 13:51
Изображение пользователя balamutick.

Семь бед один LTS ответ :-)

0
JustGAST - 9 Февраль, 2009 - 19:11
Изображение пользователя JustGAST.

А 8.04 насколько я помню это LTS. Вот поставлю я его и чего? Не обновлять его что-ли? Или 8.04 обновленный в 8.10 и просто 8.10 это две большие разницы?

0
Bazilio - 10 Февраль, 2009 - 13:00
Изображение пользователя Bazilio.

Обновлять, и обновлять всё, что оно предлагает.
Для того, чтобы его до 8.10 обновить нужно делать дополнительные манипуляции, которые просто делать не нужно, вот и всё.

Отправить комментарий

CAPTCHA на основе изображений
Введите цифры